Omniplex Docs

Packs

These API endpoints are related to IBL packs

GET
/packs/{id}

Get Pack

Gets a pack on the list based on the URL.

/packs/{id}

Path Parameters

id
Required
string

The URL of the pack.

curl -X GET "https://spider.omniplex.gg/packs/string"

Success

{
  "bot_ids": [
    "string"
  ],
  "bots": [
    {
      "approximate_votes": 0,
      "asset_versions": {
        "property1": "string",
        "property2": "string"
      },
      "boosted_until": "2019-08-24T14:15:22Z",
      "bot_id": "string",
      "clicks": 0,
      "created_at": "2019-08-24T14:15:22Z",
      "featured_until": "2019-08-24T14:15:22Z",
      "invite_clicks": 0,
      "library": "string",
      "nsfw": true,
      "premium": true,
      "servers": 0,
      "shards": 0,
      "short": "string",
      "spotlighted_until": "2019-08-24T14:15:22Z",
      "supporter_badge": true,
      "tags": [
        "string"
      ],
      "type": "string",
      "user": {
        "avatar": "string",
        "bot": true,
        "display_name": "string",
        "extra_data": {
          "property1": null,
          "property2": null
        },
        "flags": [
          "string"
        ],
        "id": "string",
        "status": "string",
        "username": "string"
      },
      "vanity": "string",
      "vanity_ref": "e1b95001-3370-4367-9787-1fb904c7b8c7",
      "vote_blitz_until": "2019-08-24T14:15:22Z",
      "votes": 0
    }
  ],
  "created_at": "2019-08-24T14:15:22Z",
  "emojis": [
    {
      "animated": true,
      "downloads": 0,
      "id": "string",
      "name": "string",
      "position": 0,
      "vanity": "string"
    }
  ],
  "name": "string",
  "owner": {
    "avatar": "string",
    "bot": true,
    "display_name": "string",
    "extra_data": {
      "property1": null,
      "property2": null
    },
    "flags": [
      "string"
    ],
    "id": "string",
    "status": "string",
    "username": "string"
  },
  "pack_type": "string",
  "server_ids": [
    "string"
  ],
  "servers": [
    {
      "approximate_votes": 0,
      "asset_versions": {
        "property1": "string",
        "property2": "string"
      },
      "avatar": "string",
      "boosted_until": "2019-08-24T14:15:22Z",
      "clicks": 0,
      "featured_until": "2019-08-24T14:15:22Z",
      "invite_clicks": 0,
      "name": "string",
      "nsfw": true,
      "online_members": 0,
      "premium": true,
      "server_id": "string",
      "short": "string",
      "spotlighted_until": "2019-08-24T14:15:22Z",
      "state": "string",
      "supporter_badge": true,
      "tags": [
        "string"
      ],
      "total_members": 0,
      "type": "string",
      "vanity": "string",
      "vanity_ref": "e1b95001-3370-4367-9787-1fb904c7b8c7",
      "votes": 0
    }
  ],
  "short": "string",
  "sounds": [
    {
      "downloads": 0,
      "duration_ms": 0,
      "id": "string",
      "name": "string",
      "position": 0,
      "vanity": "string"
    }
  ],
  "stickers": [
    {
      "animated": true,
      "downloads": 0,
      "id": "string",
      "name": "string",
      "position": 0,
      "vanity": "string"
    }
  ],
  "tags": [
    "string"
  ],
  "url": "string",
  "vote_banned": true,
  "votes": 0
}

GET
/packs/{id}/seo

Get Pack SEO Info

Gets the minimal SEO information about a pack for embed/search purposes. Used by v4 website for meta tags

/packs/{id}/seo

Path Parameters

id
Required
string

The packs ID, name or vanity

curl -X GET "https://spider.omniplex.gg/packs/string/seo"

Success

{
  "avatar": "string",
  "id": "string",
  "name": "string",
  "short": "string"
}

GET
/packs/@all

Get All Packs

Gets packs on the list, filtered and sorted. Packs with a description under 20 characters are left out unless all=true. This endpoint is paginated.

/packs/@all

Query Parameters

pagestring

The page number

pack_typestring

Filter to only packs of this type (bot, server, emoji, sticker, or sound). Omit to return every type.

sortstring

new (default, newest first) or votes (net votes, then most bots and servers, then newest).

allstring

true to include packs with a description under 20 characters.

curl -X GET "https://spider.omniplex.gg/packs/@all?page=string&pack_type=string&sort=string&all=string"

Success

{
  "count": 18446744073709552000,
  "per_page": 18446744073709552000,
  "results": [
    {
      "bot_ids": [
        "string"
      ],
      "bots": [
        {
          "approximate_votes": 0,
          "asset_versions": {
            "property1": "string",
            "property2": "string"
          },
          "boosted_until": "2019-08-24T14:15:22Z",
          "bot_id": "string",
          "clicks": 0,
          "created_at": "2019-08-24T14:15:22Z",
          "featured_until": "2019-08-24T14:15:22Z",
          "invite_clicks": 0,
          "library": "string",
          "nsfw": true,
          "premium": true,
          "servers": 0,
          "shards": 0,
          "short": "string",
          "spotlighted_until": "2019-08-24T14:15:22Z",
          "supporter_badge": true,
          "tags": [
            "string"
          ],
          "type": "string",
          "user": {
            "avatar": "string",
            "bot": true,
            "display_name": "string",
            "extra_data": {
              "property1": null,
              "property2": null
            },
            "flags": [
              "string"
            ],
            "id": "string",
            "status": "string",
            "username": "string"
          },
          "vanity": "string",
          "vanity_ref": "e1b95001-3370-4367-9787-1fb904c7b8c7",
          "vote_blitz_until": "2019-08-24T14:15:22Z",
          "votes": 0
        }
      ],
      "created_at": "2019-08-24T14:15:22Z",
      "emojis": [
        {
          "animated": true,
          "downloads": 0,
          "id": "string",
          "name": "string",
          "position": 0,
          "vanity": "string"
        }
      ],
      "name": "string",
      "owner": {
        "avatar": "string",
        "bot": true,
        "display_name": "string",
        "extra_data": {
          "property1": null,
          "property2": null
        },
        "flags": [
          "string"
        ],
        "id": "string",
        "status": "string",
        "username": "string"
      },
      "pack_type": "string",
      "server_ids": [
        "string"
      ],
      "servers": [
        {
          "approximate_votes": 0,
          "asset_versions": {
            "property1": "string",
            "property2": "string"
          },
          "avatar": "string",
          "boosted_until": "2019-08-24T14:15:22Z",
          "clicks": 0,
          "featured_until": "2019-08-24T14:15:22Z",
          "invite_clicks": 0,
          "name": "string",
          "nsfw": true,
          "online_members": 0,
          "premium": true,
          "server_id": "string",
          "short": "string",
          "spotlighted_until": "2019-08-24T14:15:22Z",
          "state": "string",
          "supporter_badge": true,
          "tags": [
            "string"
          ],
          "total_members": 0,
          "type": "string",
          "vanity": "string",
          "vanity_ref": "e1b95001-3370-4367-9787-1fb904c7b8c7",
          "votes": 0
        }
      ],
      "short": "string",
      "sounds": [
        {
          "downloads": 0,
          "duration_ms": 0,
          "id": "string",
          "name": "string",
          "position": 0,
          "vanity": "string"
        }
      ],
      "stickers": [
        {
          "animated": true,
          "downloads": 0,
          "id": "string",
          "name": "string",
          "position": 0,
          "vanity": "string"
        }
      ],
      "tags": [
        "string"
      ],
      "url": "string",
      "vote_banned": true,
      "votes": 0
    }
  ]
}

PUT
/users/{id}/packs

Create Pack

Creates a pack. Returns 204 on success

/users/{id}/packs

The Authorization access token

Authorization

User-Auth<token>

Requires a user token. Should be prefixed with User in Authorization header.

In: header

Request Body

application/jsonRequired

botsarray<string>

emojisarray<object>

namestring

pack_typestring

Value in: "bot" | "server" | "emoji" | "sticker" | "sound"

serversarray<string>

shortstring

soundsarray<object>

stickersarray<object>

tagsarray<string>

urlstring

Path Parameters

id
Required
string

The user's ID

curl -X PUT "https://spider.omniplex.gg/users/string/packs" \
  -H "User-Auth: <token>" \
  -H "Content-Type: application/json" \
  -d '{
    "bots": [
      "string"
    ],
    "emojis": [
      {
        "animated": true,
        "id": "string",
        "name": "string"
      }
    ],
    "name": "string",
    "pack_type": "bot",
    "servers": [
      "string"
    ],
    "short": "string",
    "sounds": [
      {
        "duration_ms": 0,
        "id": "string",
        "name": "string"
      }
    ],
    "stickers": [
      {
        "animated": true,
        "id": "string",
        "name": "string"
      }
    ],
    "tags": [
      "string"
    ],
    "url": "string"
  }'

Success

{
  "context": {
    "property1": "string",
    "property2": "string"
  },
  "message": "string"
}

PATCH
/users/{uid}/packs/{id}

Patch Pack

Edits a pack you are owner of based on the URL only. Returns 204 on success

/users/{uid}/packs/{id}

The Authorization access token

Authorization

User-Auth<token>

Requires a user token. Should be prefixed with User in Authorization header.

In: header

Request Body

application/jsonRequired

botsarray<string>

emojisarray<object>

namestring

serversarray<string>

shortstring

soundsarray<object>

stickersarray<object>

tagsarray<string>

Path Parameters

uid
Required
string

The user's ID

id
Required
string

The pack's URL

curl -X PATCH "https://spider.omniplex.gg/users/string/packs/string" \
  -H "User-Auth: <token>" \
  -H "Content-Type: application/json" \
  -d '{
    "bots": [
      "string"
    ],
    "emojis": [
      {
        "animated": true,
        "id": "string",
        "name": "string"
      }
    ],
    "name": "string",
    "servers": [
      "string"
    ],
    "short": "string",
    "sounds": [
      {
        "duration_ms": 0,
        "id": "string",
        "name": "string"
      }
    ],
    "stickers": [
      {
        "animated": true,
        "id": "string",
        "name": "string"
      }
    ],
    "tags": [
      "string"
    ]
  }'

Success

{
  "context": {
    "property1": "string",
    "property2": "string"
  },
  "message": "string"
}

DELETE
/users/{uid}/packs/{id}

Delete Pack

Deletes a pack by URL. You must be the owner of the pack to delete packs. Returns 204 on success

/users/{uid}/packs/{id}

The Authorization access token

Authorization

User-Auth<token>

Requires a user token. Should be prefixed with User in Authorization header.

In: header

Path Parameters

uid
Required
string

The user's ID

id
Required
string

The pack's URL

curl -X DELETE "https://spider.omniplex.gg/users/string/packs/string" \
  -H "User-Auth: <token>"

Success

{
  "context": {
    "property1": "string",
    "property2": "string"
  },
  "message": "string"
}